# Clear the R environment:
rm(list=ls(all=TRUE))

# Load the RJAGS library:
library(rjags)

# Set the working directory to root folder of our analysis:  
setwd("[path-to-files]")

# Load in the required data objects: 
load("Experiment1.Output.SAMPLES")
load("Experiment1.Output.DIC")
load("Experiment1.Output.DDIC")

# Display the summarized coefficients: 
summary(SAMPLES[[4]]) 

densplot(SAMPLES[[4]][,21], xlab="mean(bW)")
densplot(SAMPLES[[4]][,22], xlab="mean(bIs)")
densplot(SAMPLES[[4]][,23], xlab="mean(bIns)")

densplot(SAMPLES[[4]][,24], xlab="sd(bW)")
densplot(SAMPLES[[4]][,25], xlab="sd(bIs)")
densplot(SAMPLES[[4]][,26], xlab="sd(bIns)")

densplot(SAMPLES[[4]][,27], xlab="cor(bW,bIs)")
densplot(SAMPLES[[4]][,28], xlab="cor(bW,bIns)")
densplot(SAMPLES[[4]][,29], xlab="cor(bIs,bIns)")

densplot(SAMPLES[[4]][,30], xlab="tau")

traceplot(SAMPLES[[4]][,21], xlab="mean(bW)")
traceplot(SAMPLES[[4]][,22], xlab="mean(bIs)")
traceplot(SAMPLES[[4]][,23], xlab="mean(bIns)")

traceplot(SAMPLES[[4]][,24], xlab="sd(bW)")
traceplot(SAMPLES[[4]][,25], xlab="sd(bIs)")
traceplot(SAMPLES[[4]][,26], xlab="sd(bIns)")

traceplot(SAMPLES[[4]][,27], xlab="cor(bW,bIs)")
traceplot(SAMPLES[[4]][,28], xlab="cor(bW,bIns)")
traceplot(SAMPLES[[4]][,29], xlab="cor(bIs,bIns)")

traceplot(SAMPLES[[4]][,30], xlab="tau")




