#------------------------------------------------------------------------------------------#
# FILE: Paper1.Experiment2.Model3Postpred.R                                                #
#------------------------------------------------------------------------------------------#   

Paper1.Experiment2.Model3 <- function(){return(textConnection(" 

    model {     
    
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>># 
        #   Likelihood of the data                                                        # 
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>#   
                                                                                           
        # Choices                                                                
        for(i in 1:nObs){                                                              
                                                                                        
            Y[i] ~ dbern(p[i])                                                         
                                                                                        
            probit(p[i]) <- max(min(du[i],5),-5)                                       
                                                                                        
            du[i] <- (1/tau) * (dS[i] + theta[SID[i]] * dW[i]   +               
                                          beta[SID[i]] * dIs[i]  +               
                                         gamma[SID[i]] * dIns[i]) 

            #Draw a prediction:
            Ypred[i] ~ dbern(p[i])
            
            Ycorrect[i]     <- 1 * (Y[i] == Ypred[i])
                            
            Ycorrectg1[i]   <-  1 * Ycorrect[i] * (GameID[i] == 1)
            Ycorrectg2[i]   <-  1 * Ycorrect[i] * (GameID[i] == 2)
            Ycorrectg3[i]   <-  1 * Ycorrect[i] * (GameID[i] == 3)
            Ycorrectg4[i]   <-  1 * Ycorrect[i] * (GameID[i] == 4)
            Ycorrectg5[i]   <-  1 * Ycorrect[i] * (GameID[i] == 5)
            Ycorrectg6[i]   <-  1 * Ycorrect[i] * (GameID[i] == 6)
            Ycorrectg7[i]   <-  1 * Ycorrect[i] * (GameID[i] == 7)
            Ycorrectg8[i]   <-  1 * Ycorrect[i] * (GameID[i] == 8)
            Ycorrectg9[i]   <-  1 * Ycorrect[i] * (GameID[i] == 9)
            Ycorrectg10[i]  <-  1 * Ycorrect[i] * (GameID[i] == 10)
            
            Ycorrectg11[i]  <-  1 * Ycorrect[i] * (GameID[i] == 11)
            Ycorrectg12[i]  <-  1 * Ycorrect[i] * (GameID[i] == 12)
            Ycorrectg13[i]  <-  1 * Ycorrect[i] * (GameID[i] == 13)
            Ycorrectg14[i]  <-  1 * Ycorrect[i] * (GameID[i] == 14)
            Ycorrectg15[i]  <-  1 * Ycorrect[i] * (GameID[i] == 15)
            Ycorrectg16[i]  <-  1 * Ycorrect[i] * (GameID[i] == 16)
            Ycorrectg17[i]  <-  1 * Ycorrect[i] * (GameID[i] == 17)
            Ycorrectg18[i]  <-  1 * Ycorrect[i] * (GameID[i] == 18)
            Ycorrectg19[i]  <-  1 * Ycorrect[i] * (GameID[i] == 19)
            Ycorrectg20[i]  <-  1 * Ycorrect[i] * (GameID[i] == 20)
            Ycorrectg21[i]  <-  1 * Ycorrect[i] * (GameID[i] == 21)
        }                                                                              
                                                                                           
        # Subjects                                                                  
                                                                                           
        for(i in 1:nSubjects){                                                       
            b[i,1:3] ~ dmnorm(mu,inv_sigma[,])                                         
                                                                                
            theta[i] <- b[i,1]                                                        
            beta[i]  <- b[i,2]
            gamma[i] <- b[i,3]
    
        }                                                                                                                                                
        
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 
        #   Priors of parameters                                                           
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 
                                                                                           
        #Variance of evaluation errors                                                 
        tau   ~ dunif(0,5) 
        
        #Prior distributions for mu                                                    
        mu[1] ~ dnorm(0,.2)
        mu[2] ~ dnorm(0,.2)
        mu[3] ~ dnorm(0,.2)   
                                                                                       
        inv_sigma ~ dwish(OM,4)   
        
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 
        # Monitors                                                                         
        #>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> 

        OM[1,1] <- 1.0; OM[1,2] <- 0.0; OM[1,3] <- 0.0;
        OM[2,1] <- 0.0; OM[2,2] <- 1.0; OM[2,3] <- 0.0;       
        OM[3,1] <- 0.0; OM[3,2] <- 0.0; OM[3,3] <- 1.0;  
        
        S <- inverse(inv_sigma)                                                        
                                                                                       
        mon[1]  <- mu[1]                             
        mon[2]  <- mu[2]                            
        mon[3]  <- mu[3]                             
        mon[4]  <- sqrt(S[1,1])                           
        mon[5]  <- sqrt(S[2,2])                           
        mon[6]  <- sqrt(S[3,3])                                                             
        mon[7]  <- S[1,2] / (sqrt(S[1,1]*S[2,2]))                                     
        mon[8]  <- S[1,3] / (sqrt(S[1,1]*S[3,3]))                                     
        mon[9]  <- S[2,3] / (sqrt(S[2,2]*S[3,3]))                                     
        mon[10] <- tau                                                                
        
        mon[11] <- mean(Ycorrect[])
        
        item[1]  <- sum(Ycorrectg1[])  / denominator[1]
        item[2]  <- sum(Ycorrectg2[])  / denominator[2]
        item[3]  <- sum(Ycorrectg3[])  / denominator[3]
        item[4]  <- sum(Ycorrectg4[])  / denominator[4]
        item[5]  <- sum(Ycorrectg5[])  / denominator[5]
        item[6]  <- sum(Ycorrectg6[])  / denominator[6]
        item[7]  <- sum(Ycorrectg7[])  / denominator[7]
        item[8]  <- sum(Ycorrectg8[])  / denominator[8]
        item[9]  <- sum(Ycorrectg9[])  / denominator[9]
        item[10] <- sum(Ycorrectg10[]) / denominator[10]
        item[11] <- sum(Ycorrectg11[]) / denominator[11]
        item[12] <- sum(Ycorrectg12[]) / denominator[12]
        item[13] <- sum(Ycorrectg13[]) / denominator[13]
        item[14] <- sum(Ycorrectg14[]) / denominator[14]
        item[15] <- sum(Ycorrectg15[]) / denominator[15]
        item[16] <- sum(Ycorrectg16[]) / denominator[16]
        item[17] <- sum(Ycorrectg17[]) / denominator[17]
        item[18] <- sum(Ycorrectg18[]) / denominator[18]
        item[19] <- sum(Ycorrectg19[]) / denominator[19]
        item[20] <- sum(Ycorrectg20[]) / denominator[20]
        item[21] <- sum(Ycorrectg21[]) / denominator[21]
     
        #<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< 
}"))}
